diff --git a/libRTI/ieee1516-2010/RTIambassadorImplementation.cpp b/libRTI/ieee1516-2010/RTIambassadorImplementation.cpp
index c040d6e7..e8e68e5a 100644
--- a/libRTI/ieee1516-2010/RTIambassadorImplementation.cpp
+++ b/libRTI/ieee1516-2010/RTIambassadorImplementation.cpp
@@ -131,8 +131,7 @@ RTI1516ambassador::~RTI1516ambassador()
     p->executeService(&req, &rep);
 }
 
-bool RTI1516ambassador::__tick_kernel(bool multiple, TickTime minimum, TickTime maximum) throw(
-    rti1516e::SpecifiedSaveLabelDoesNotExist, rti1516e::NotConnected, rti1516e::RTIinternalError)
+bool RTI1516ambassador::__tick_kernel(bool multiple, TickTime minimum, TickTime maximum)
 {
     M_Tick_Request vers_RTI;
     std::auto_ptr<Message> vers_Fed;
@@ -195,12 +194,7 @@ bool RTI1516ambassador::__tick_kernel(bool multiple, TickTime minimum, TickTime
 void RTI1516ambassador::connect(
     rti1516e::FederateAmbassador& federateAmbassador,
     rti1516e::CallbackModel theCallbackModel,
-    std::wstring const& /*localSettingsDesignator*/) throw(rti1516e::ConnectionFailed,
-                                                           rti1516e::InvalidLocalSettingsDesignator,
-                                                           rti1516e::UnsupportedCallbackModel,
-                                                           rti1516e::AlreadyConnected,
-                                                           rti1516e::CallNotAllowedFromWithinCallback,
-                                                           rti1516e::RTIinternalError)
+    std::wstring const& /*localSettingsDesignator*/)
 {
     switch (theCallbackModel) {
     case rti1516e::HLA_EVOKED:
@@ -215,9 +209,7 @@ void RTI1516ambassador::connect(
 }
 
 // 4.3
-void RTI1516ambassador::disconnect() throw(rti1516e::FederateIsExecutionMember,
-                                           rti1516e::CallNotAllowedFromWithinCallback,
-                                           rti1516e::RTIinternalError)
+void RTI1516ambassador::disconnect()
 {
     p->fed_amb = NULL;
 }
@@ -226,12 +218,7 @@ void RTI1516ambassador::disconnect() throw(rti1516e::FederateIsExecutionMember,
 void RTI1516ambassador::createFederationExecution(
     std::wstring const& federationExecutionName,
     std::wstring const& fomModule,
-    std::wstring const& logicalTimeImplementationName) throw(rti1516e::FederationExecutionAlreadyExists,
-                                                             rti1516e::CouldNotOpenFDD,
-                                                             rti1516e::ErrorReadingFDD,
-                                                             rti1516e::CouldNotCreateLogicalTimeFactory,
-                                                             rti1516e::NotConnected,
-                                                             rti1516e::RTIinternalError)
+    std::wstring const& logicalTimeImplementationName)
 {
     createFederationExecutionWithMIM(federationExecutionName, {fomModule}, L"", logicalTimeImplementationName);
 }
@@ -239,13 +226,7 @@ void RTI1516ambassador::createFederationExecution(
 void RTI1516ambassador::createFederationExecution(
     std::wstring const& federationExecutionName,
     std::vector<std::wstring> const& fomModules,
-    std::wstring const& logicalTimeImplementationName) throw(rti1516e::CouldNotCreateLogicalTimeFactory,
-                                                             rti1516e::InconsistentFDD,
-                                                             rti1516e::ErrorReadingFDD,
-                                                             rti1516e::CouldNotOpenFDD,
-                                                             rti1516e::FederationExecutionAlreadyExists,
-                                                             rti1516e::NotConnected,
-                                                             rti1516e::RTIinternalError)
+    std::wstring const& logicalTimeImplementationName)
 {
     createFederationExecutionWithMIM(federationExecutionName, fomModules, L"", logicalTimeImplementationName);
 }
@@ -254,16 +235,7 @@ void RTI1516ambassador::createFederationExecutionWithMIM(
     std::wstring const& federationExecutionName,
     std::vector<std::wstring> const& fomModules,
     std::wstring const& mimModule,
-    std::wstring const& logicalTimeImplementationName) throw(rti1516e::CouldNotCreateLogicalTimeFactory,
-                                                             rti1516e::InconsistentFDD,
-                                                             rti1516e::ErrorReadingFDD,
-                                                             rti1516e::CouldNotOpenFDD,
-                                                             rti1516e::DesignatorIsHLAstandardMIM,
-                                                             rti1516e::ErrorReadingMIM,
-                                                             rti1516e::CouldNotOpenMIM,
-                                                             rti1516e::FederationExecutionAlreadyExists,
-                                                             rti1516e::NotConnected,
-                                                             rti1516e::RTIinternalError)
+    std::wstring const& logicalTimeImplementationName)
 {
     Debug(G, pdGendoc) << "enter RTI1516ambassador::createFederationExecution" << std::endl;
 
@@ -297,11 +269,7 @@ void RTI1516ambassador::createFederationExecutionWithMIM(
 }
 
 // 4.3
-void RTI1516ambassador::destroyFederationExecution(std::wstring const& federationExecutionName) throw(
-    rti1516e::FederatesCurrentlyJoined,
-    rti1516e::FederationExecutionDoesNotExist,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::destroyFederationExecution(std::wstring const& federationExecutionName)
 {
     M_Destroy_Federation_Execution req, rep;
 
@@ -317,7 +285,7 @@ void RTI1516ambassador::destroyFederationExecution(std::wstring const& federatio
     Debug(G, pdGendoc) << "exit RTI1516ambassador::destroyFederationExecution" << std::endl;
 }
 
-void RTI1516ambassador::listFederationExecutions() throw(rti1516e::NotConnected, rti1516e::RTIinternalError)
+void RTI1516ambassador::listFederationExecutions()
 {
     throw rti1516e::RTIinternalError(L"listFederationExecutions Not Implemented");
 }
@@ -326,17 +294,7 @@ void RTI1516ambassador::listFederationExecutions() throw(rti1516e::NotConnected,
 rti1516e::FederateHandle RTI1516ambassador::joinFederationExecution(
     std::wstring const& federateType,
     std::wstring const& federationExecutionName,
-    std::vector<std::wstring> const& additionalFomModules) throw(rti1516e::CouldNotCreateLogicalTimeFactory,
-                                                                 rti1516e::FederationExecutionDoesNotExist,
-                                                                 rti1516e::InconsistentFDD,
-                                                                 rti1516e::ErrorReadingFDD,
-                                                                 rti1516e::CouldNotOpenFDD,
-                                                                 rti1516e::SaveInProgress,
-                                                                 rti1516e::RestoreInProgress,
-                                                                 rti1516e::FederateAlreadyExecutionMember,
-                                                                 rti1516e::NotConnected,
-                                                                 rti1516e::CallNotAllowedFromWithinCallback,
-                                                                 rti1516e::RTIinternalError)
+    std::vector<std::wstring> const& additionalFomModules)
 {
     // RTI shall provide a default federate name if none is provided
     // TODO move default name to RTIG to ensure unicity
@@ -347,17 +305,7 @@ rti1516e::FederateHandle RTI1516ambassador::joinFederationExecution(
     std::wstring const& federateName,
     std::wstring const& federateType,
     std::wstring const& federationExecutionName,
-    std::vector<std::wstring> const& additionalFomModules) throw(rti1516e::CouldNotCreateLogicalTimeFactory,
-                                                                 rti1516e::FederationExecutionDoesNotExist,
-                                                                 rti1516e::InconsistentFDD,
-                                                                 rti1516e::ErrorReadingFDD,
-                                                                 rti1516e::CouldNotOpenFDD,
-                                                                 rti1516e::SaveInProgress,
-                                                                 rti1516e::RestoreInProgress,
-                                                                 rti1516e::FederateAlreadyExecutionMember,
-                                                                 rti1516e::NotConnected,
-                                                                 rti1516e::CallNotAllowedFromWithinCallback,
-                                                                 rti1516e::RTIinternalError)
+    std::vector<std::wstring> const& additionalFomModules)
 {
     Debug(G, pdGendoc) << "enter RTI1516ambassador::joinFederationExecution" << std::endl;
 
@@ -402,14 +350,7 @@ rti1516e::FederateHandle RTI1516ambassador::joinFederationExecution(
 }
 
 // 4.5
-void RTI1516ambassador::resignFederationExecution(rti1516e::ResignAction /*resignAction*/) throw(
-    rti1516e::InvalidResignAction,
-    rti1516e::OwnershipAcquisitionPending,
-    rti1516e::FederateOwnsAttributes,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::NotConnected,
-    rti1516e::CallNotAllowedFromWithinCallback,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::resignFederationExecution(rti1516e::ResignAction /*resignAction*/)
 {
     M_Resign_Federation_Execution req, rep;
 
@@ -424,11 +365,7 @@ void RTI1516ambassador::resignFederationExecution(rti1516e::ResignAction /*resig
 // 4.6
 void RTI1516ambassador::registerFederationSynchronizationPoint(
     std::wstring const& label,
-    rti1516e::VariableLengthData const& theUserSuppliedTag) throw(rti1516e::FederateNotExecutionMember,
-                                                                  rti1516e::SaveInProgress,
-                                                                  rti1516e::RestoreInProgress,
-                                                                  rti1516e::NotConnected,
-                                                                  rti1516e::RTIinternalError)
+    rti1516e::VariableLengthData const& theUserSuppliedTag)
 {
     M_Register_Federation_Synchronization_Point req, rep;
 
@@ -450,11 +387,7 @@ void RTI1516ambassador::registerFederationSynchronizationPoint(
 void RTI1516ambassador::registerFederationSynchronizationPoint(
     std::wstring const& label,
     rti1516e::VariableLengthData const& theUserSuppliedTag,
-    rti1516e::FederateHandleSet const& syncSet) throw(rti1516e::FederateNotExecutionMember,
-                                                      rti1516e::SaveInProgress,
-                                                      rti1516e::RestoreInProgress,
-                                                      rti1516e::NotConnected,
-                                                      rti1516e::RTIinternalError)
+    rti1516e::FederateHandleSet const& syncSet)
 {
     M_Register_Federation_Synchronization_Point req, rep;
 
@@ -484,13 +417,7 @@ void RTI1516ambassador::registerFederationSynchronizationPoint(
 }
 
 // 4.14
-void RTI1516ambassador::synchronizationPointAchieved(std::wstring const& label, bool /*successfully*/) throw(
-    rti1516e::SynchronizationPointLabelNotAnnounced,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::synchronizationPointAchieved(std::wstring const& label, bool /*successfully*/)
 {
     M_Synchronization_Point_Achieved req, rep;
 
@@ -506,11 +433,7 @@ void RTI1516ambassador::synchronizationPointAchieved(std::wstring const& label,
 }
 
 // 4.16
-void RTI1516ambassador::requestFederationSave(std::wstring const& label) throw(rti1516e::FederateNotExecutionMember,
-                                                                               rti1516e::SaveInProgress,
-                                                                               rti1516e::RestoreInProgress,
-                                                                               rti1516e::NotConnected,
-                                                                               rti1516e::RTIinternalError)
+void RTI1516ambassador::requestFederationSave(std::wstring const& label)
 {
     M_Request_Federation_Save req, rep;
 
@@ -524,15 +447,7 @@ void RTI1516ambassador::requestFederationSave(std::wstring const& label) throw(r
     Debug(G, pdGendoc) << "exit  RTI1516ambassador::requestFederationSave without time" << std::endl;
 }
 
-void RTI1516ambassador::requestFederationSave(std::wstring const& label, rti1516e::LogicalTime const& theTime) throw(
-    rti1516e::LogicalTimeAlreadyPassed,
-    rti1516e::InvalidLogicalTime,
-    rti1516e::FederateUnableToUseTime,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::requestFederationSave(std::wstring const& label, rti1516e::LogicalTime const& theTime)
 {
     M_Request_Federation_Save req, rep;
 
@@ -551,11 +466,7 @@ void RTI1516ambassador::requestFederationSave(std::wstring const& label, rti1516
 }
 
 // 4.13
-void RTI1516ambassador::federateSaveBegun() throw(rti1516e::SaveNotInitiated,
-                                                  rti1516e::FederateNotExecutionMember,
-                                                  rti1516e::RestoreInProgress,
-                                                  rti1516e::NotConnected,
-                                                  rti1516e::RTIinternalError)
+void RTI1516ambassador::federateSaveBegun()
 {
     M_Federate_Save_Begun req, rep;
 
@@ -568,11 +479,7 @@ void RTI1516ambassador::federateSaveBegun() throw(rti1516e::SaveNotInitiated,
 }
 
 // 4.14
-void RTI1516ambassador::federateSaveComplete() throw(rti1516e::FederateHasNotBegunSave,
-                                                     rti1516e::FederateNotExecutionMember,
-                                                     rti1516e::RestoreInProgress,
-                                                     rti1516e::NotConnected,
-                                                     rti1516e::RTIinternalError)
+void RTI1516ambassador::federateSaveComplete()
 {
     M_Federate_Save_Complete req, rep;
 
@@ -582,11 +489,7 @@ void RTI1516ambassador::federateSaveComplete() throw(rti1516e::FederateHasNotBeg
     Debug(G, pdGendoc) << "exit  RTI1516ambassador::federateSaveComplete" << std::endl;
 }
 
-void RTI1516ambassador::federateSaveNotComplete() throw(rti1516e::FederateHasNotBegunSave,
-                                                        rti1516e::FederateNotExecutionMember,
-                                                        rti1516e::RestoreInProgress,
-                                                        rti1516e::NotConnected,
-                                                        rti1516e::RTIinternalError)
+void RTI1516ambassador::federateSaveNotComplete()
 {
     M_Federate_Save_Not_Complete req, rep;
 
@@ -597,30 +500,20 @@ void RTI1516ambassador::federateSaveNotComplete() throw(rti1516e::FederateHasNot
     Debug(G, pdGendoc) << "exit  RTI1516ambassador::federateSaveNotComplete" << std::endl;
 }
 
-void RTI1516ambassador::abortFederationSave() throw(rti1516e::FederateNotExecutionMember,
-                                                    rti1516e::SaveNotInProgress,
-                                                    rti1516e::NotConnected,
-                                                    rti1516e::RTIinternalError)
+void RTI1516ambassador::abortFederationSave()
 {
     throw rti1516e::RTIinternalError(L"abortFederationSave Not Implemented");
 }
 
 // 4.22
-void RTI1516ambassador::queryFederationSaveStatus() throw(rti1516e::FederateNotExecutionMember,
-                                                          rti1516e::RestoreInProgress,
-                                                          rti1516e::NotConnected,
-                                                          rti1516e::RTIinternalError)
+void RTI1516ambassador::queryFederationSaveStatus()
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"queryFederationSaveStatus Not implemented");
 }
 
 // 4.24
-void RTI1516ambassador::requestFederationRestore(std::wstring const& label) throw(rti1516e::FederateNotExecutionMember,
-                                                                                  rti1516e::SaveInProgress,
-                                                                                  rti1516e::RestoreInProgress,
-                                                                                  rti1516e::NotConnected,
-                                                                                  rti1516e::RTIinternalError)
+void RTI1516ambassador::requestFederationRestore(std::wstring const& label)
 {
     M_Request_Federation_Restore req, rep;
 
@@ -633,11 +526,7 @@ void RTI1516ambassador::requestFederationRestore(std::wstring const& label) thro
 }
 
 // 4.28
-void RTI1516ambassador::federateRestoreComplete() throw(rti1516e::RestoreNotRequested,
-                                                        rti1516e::FederateNotExecutionMember,
-                                                        rti1516e::SaveInProgress,
-                                                        rti1516e::NotConnected,
-                                                        rti1516e::RTIinternalError)
+void RTI1516ambassador::federateRestoreComplete()
 {
     M_Federate_Restore_Complete req, rep;
 
@@ -648,11 +537,7 @@ void RTI1516ambassador::federateRestoreComplete() throw(rti1516e::RestoreNotRequ
     Debug(G, pdGendoc) << "exit  RTI1516ambassador::federateRestoreComplete" << std::endl;
 }
 
-void RTI1516ambassador::federateRestoreNotComplete() throw(rti1516e::RestoreNotRequested,
-                                                           rti1516e::FederateNotExecutionMember,
-                                                           rti1516e::SaveInProgress,
-                                                           rti1516e::NotConnected,
-                                                           rti1516e::RTIinternalError)
+void RTI1516ambassador::federateRestoreNotComplete()
 {
     M_Federate_Restore_Not_Complete req, rep;
 
@@ -664,19 +549,13 @@ void RTI1516ambassador::federateRestoreNotComplete() throw(rti1516e::RestoreNotR
 }
 
 // 4.30
-void RTI1516ambassador::abortFederationRestore() throw(rti1516e::RestoreNotInProgress,
-                                                       rti1516e::FederateNotExecutionMember,
-                                                       rti1516e::NotConnected,
-                                                       rti1516e::RTIinternalError)
+void RTI1516ambassador::abortFederationRestore()
 {
     throw rti1516e::RTIinternalError(L"abortFederationRestore Not Implemented");
 }
 
 // 4.24
-void RTI1516ambassador::queryFederationRestoreStatus() throw(rti1516e::FederateNotExecutionMember,
-                                                             rti1516e::SaveInProgress,
-                                                             rti1516e::NotConnected,
-                                                             rti1516e::RTIinternalError)
+void RTI1516ambassador::queryFederationRestoreStatus()
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"queryFederationRestoreStatus Not implemented");
@@ -689,13 +568,7 @@ void RTI1516ambassador::queryFederationRestoreStatus() throw(rti1516e::FederateN
 // 5.2
 void RTI1516ambassador::publishObjectClassAttributes(
     rti1516e::ObjectClassHandle theClass,
-    rti1516e::AttributeHandleSet const& attributeList) throw(rti1516e::ObjectClassNotDefined,
-                                                             rti1516e::AttributeNotDefined,
-                                                             rti1516e::FederateNotExecutionMember,
-                                                             rti1516e::SaveInProgress,
-                                                             rti1516e::RestoreInProgress,
-                                                             rti1516e::NotConnected,
-                                                             rti1516e::RTIinternalError)
+    rti1516e::AttributeHandleSet const& attributeList)
 {
     M_Publish_Object_Class req, rep;
     Debug(G, pdGendoc) << "enter RTI1516ambassador::publishObjectClass" << std::endl;
@@ -715,14 +588,7 @@ void RTI1516ambassador::publishObjectClassAttributes(
 }
 
 // 5.3
-void RTI1516ambassador::unpublishObjectClass(rti1516e::ObjectClassHandle theClass) throw(
-    rti1516e::ObjectClassNotDefined,
-    rti1516e::OwnershipAcquisitionPending,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::unpublishObjectClass(rti1516e::ObjectClassHandle theClass)
 {
     M_Unpublish_Object_Class req, rep;
     Debug(G, pdGendoc) << "enter RTI1516ambassador::unpublishObjectClass" << std::endl;
@@ -736,27 +602,14 @@ void RTI1516ambassador::unpublishObjectClass(rti1516e::ObjectClassHandle theClas
 
 void RTI1516ambassador::unpublishObjectClassAttributes(
     rti1516e::ObjectClassHandle /*theClass*/,
-    rti1516e::AttributeHandleSet const& /*attributeList*/) throw(rti1516e::ObjectClassNotDefined,
-                                                                 rti1516e::AttributeNotDefined,
-                                                                 rti1516e::OwnershipAcquisitionPending,
-                                                                 rti1516e::FederateNotExecutionMember,
-                                                                 rti1516e::SaveInProgress,
-                                                                 rti1516e::RestoreInProgress,
-                                                                 rti1516e::NotConnected,
-                                                                 rti1516e::RTIinternalError)
+    rti1516e::AttributeHandleSet const& /*attributeList*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
 }
 
 // 5.4
-void RTI1516ambassador::publishInteractionClass(rti1516e::InteractionClassHandle theInteraction) throw(
-    rti1516e::InteractionClassNotDefined,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::publishInteractionClass(rti1516e::InteractionClassHandle theInteraction)
 {
     M_Publish_Interaction_Class req, rep;
     const certi::InteractionClassHandle classHandle
@@ -767,13 +620,7 @@ void RTI1516ambassador::publishInteractionClass(rti1516e::InteractionClassHandle
 }
 
 // 5.5
-void RTI1516ambassador::unpublishInteractionClass(rti1516e::InteractionClassHandle theInteraction) throw(
-    rti1516e::InteractionClassNotDefined,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::unpublishInteractionClass(rti1516e::InteractionClassHandle theInteraction)
 {
     M_Unpublish_Interaction_Class req, rep;
     const certi::InteractionClassHandle classHandle
@@ -788,13 +635,7 @@ void RTI1516ambassador::subscribeObjectClassAttributes(
     rti1516e::ObjectClassHandle theClass,
     rti1516e::AttributeHandleSet const& attributeList,
     bool active,
-    std::wstring const& /*updateRateDesignator*/) throw(rti1516e::ObjectClassNotDefined,
-                                                        rti1516e::AttributeNotDefined,
-                                                        rti1516e::FederateNotExecutionMember,
-                                                        rti1516e::SaveInProgress,
-                                                        rti1516e::RestoreInProgress,
-                                                        rti1516e::NotConnected,
-                                                        rti1516e::RTIinternalError)
+    std::wstring const& /*updateRateDesignator*/)
 {
     M_Subscribe_Object_Class_Attributes req, rep;
     Debug(G, pdGendoc) << "enter RTI1516ambassador::subscribeObjectClassAttributes" << std::endl;
@@ -815,13 +656,7 @@ void RTI1516ambassador::subscribeObjectClassAttributes(
 }
 
 // 5.7
-void RTI1516ambassador::unsubscribeObjectClass(rti1516e::ObjectClassHandle theClass) throw(
-    rti1516e::ObjectClassNotDefined,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::unsubscribeObjectClass(rti1516e::ObjectClassHandle theClass)
 {
     M_Unsubscribe_Object_Class req, rep;
 
@@ -833,27 +668,14 @@ void RTI1516ambassador::unsubscribeObjectClass(rti1516e::ObjectClassHandle theCl
 
 void RTI1516ambassador::unsubscribeObjectClassAttributes(
     rti1516e::ObjectClassHandle /*theClass*/,
-    rti1516e::AttributeHandleSet const& /*attributeList*/) throw(rti1516e::ObjectClassNotDefined,
-                                                                 rti1516e::AttributeNotDefined,
-                                                                 rti1516e::FederateNotExecutionMember,
-                                                                 rti1516e::SaveInProgress,
-                                                                 rti1516e::RestoreInProgress,
-                                                                 rti1516e::NotConnected,
-                                                                 rti1516e::RTIinternalError)
+    rti1516e::AttributeHandleSet const& /*attributeList*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
 }
 
 // 5.8
-void RTI1516ambassador::subscribeInteractionClass(rti1516e::InteractionClassHandle theClass, bool /*active*/) throw(
-    rti1516e::InteractionClassNotDefined,
-    rti1516e::FederateServiceInvocationsAreBeingReportedViaMOM,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::subscribeInteractionClass(rti1516e::InteractionClassHandle theClass, bool /*active*/)
 {
     M_Subscribe_Interaction_Class req, rep;
     const certi::InteractionClassHandle classHandle = rti1516e::InteractionClassHandleFriend::toCertiHandle(theClass);
@@ -863,13 +685,7 @@ void RTI1516ambassador::subscribeInteractionClass(rti1516e::InteractionClassHand
 }
 
 // 5.9
-void RTI1516ambassador::unsubscribeInteractionClass(rti1516e::InteractionClassHandle theClass) throw(
-    rti1516e::InteractionClassNotDefined,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::unsubscribeInteractionClass(rti1516e::InteractionClassHandle theClass)
 {
     M_Unsubscribe_Interaction_Class req, rep;
 
@@ -884,13 +700,7 @@ void RTI1516ambassador::unsubscribeInteractionClass(rti1516e::InteractionClassHa
 ////////////////////////////////
 
 // 6.2
-void RTI1516ambassador::reserveObjectInstanceName(std::wstring const& theObjectInstanceName) throw(
-    rti1516e::IllegalName,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::reserveObjectInstanceName(std::wstring const& theObjectInstanceName)
 {
     M_Reserve_Object_Instance_Name req, rep;
 
@@ -900,51 +710,27 @@ void RTI1516ambassador::reserveObjectInstanceName(std::wstring const& theObjectI
 }
 
 // 6.4
-void RTI1516ambassador::releaseObjectInstanceName(std::wstring const& /*theObjectInstanceName*/) throw(
-    rti1516e::ObjectInstanceNameNotReserved,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::releaseObjectInstanceName(std::wstring const& /*theObjectInstanceName*/)
 {
     throw rti1516e::RTIinternalError(L"releaseObjectInstanceName Not Implemented");
 }
 
 // 6.5
 void RTI1516ambassador::reserveMultipleObjectInstanceName(
-    std::set<std::wstring> const& /*theObjectInstanceNames*/) throw(rti1516e::IllegalName,
-                                                                    rti1516e::NameSetWasEmpty,
-                                                                    rti1516e::SaveInProgress,
-                                                                    rti1516e::RestoreInProgress,
-                                                                    rti1516e::FederateNotExecutionMember,
-                                                                    rti1516e::NotConnected,
-                                                                    rti1516e::RTIinternalError)
+    std::set<std::wstring> const& /*theObjectInstanceNames*/)
 {
     throw rti1516e::RTIinternalError(L"reserveMultipleObjectInstanceName Not Implemented");
 }
 
 // 6.7
 void RTI1516ambassador::releaseMultipleObjectInstanceName(
-    std::set<std::wstring> const& /*theObjectInstanceNames*/) throw(rti1516e::ObjectInstanceNameNotReserved,
-                                                                    rti1516e::SaveInProgress,
-                                                                    rti1516e::RestoreInProgress,
-                                                                    rti1516e::FederateNotExecutionMember,
-                                                                    rti1516e::NotConnected,
-                                                                    rti1516e::RTIinternalError)
+    std::set<std::wstring> const& /*theObjectInstanceNames*/)
 {
     throw rti1516e::RTIinternalError(L"releaseMultipleObjectInstanceName Not Implemented");
 }
 
 // 6.8
-rti1516e::ObjectInstanceHandle RTI1516ambassador::registerObjectInstance(rti1516e::ObjectClassHandle theClass) throw(
-    rti1516e::ObjectClassNotDefined,
-    rti1516e::ObjectClassNotPublished,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+rti1516e::ObjectInstanceHandle RTI1516ambassador::registerObjectInstance(rti1516e::ObjectClassHandle theClass)
 {
     M_Register_Object_Instance req, rep;
 
